/**
 *  Copyright 2005-2016 Red Hat, Inc.
 *
 *  Red Hat licenses this file to you under the Apache License, version
 *  2.0 (the "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
 *  implied.  See the License for the specific language governing
 *  permissions and limitations under the License.
 */
package io.fabric8.jolokia.facade.dto;

import java.util.List;
import java.util.Map;

public class VersionDTO {
    public String id;
    public String name;
    public VersionSequenceDTO sequence;
    public VersionDTO derivedFrom;
    public Map<String, String> attributes;
    public List<String> profiles;
    public boolean defaultVersion;

    @Override
    public String toString() {
        return String.format("Version: { id: %s, name: %s, version: %s, derivedFrom: %s, profiles: %s }",
                id,
                name,
                (sequence != null ? sequence.name : ""),
                (derivedFrom != null ? derivedFrom.id : ""),
                profiles);
    }
}
